Package org.jbpm.services.task.impl.util

## Class DeadlineSchedulerHelper

- java.lang.Object
- - org.jbpm.services.task.impl.util.DeadlineSchedulerHelper

-     public class DeadlineSchedulerHelper
      extends Object

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static void` | `rescheduleDeadlinesForTask​(org.kie.internal.task.api.model.InternalTask task, TaskContext taskContext, boolean unboundRepeatableOnly, org.kie.internal.task.api.model.Deadline triggered, org.kie.internal.task.api.TaskDeadlinesService.DeadlineType... types)` |
    `static void` | `rescheduleDeadlinesForTask​(org.kie.internal.task.api.model.InternalTask task, TaskContext taskContext, boolean unboundRepeatableOnly, org.kie.internal.task.api.TaskDeadlinesService.DeadlineType... types)` |
    `static void` | `scheduleDeadlines​(List<? extends org.kie.internal.task.api.model.Deadline> deadlines, long now, long taskId, org.kie.internal.task.api.TaskDeadlinesService.DeadlineType type, org.kie.internal.task.api.TaskDeadlinesService deadlineService)` |
    `static void` | `scheduleDeadlinesForTask​(org.kie.internal.task.api.model.InternalTask task, TaskContext taskContext, org.kie.internal.task.api.TaskDeadlinesService.DeadlineType... types)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### rescheduleDeadlinesForTask

          public static void rescheduleDeadlinesForTask​(org.kie.internal.task.api.model.InternalTask task,
                                                        TaskContext taskContext,
                                                        boolean unboundRepeatableOnly,
                                                        org.kie.internal.task.api.TaskDeadlinesService.DeadlineType... types)

    - #### rescheduleDeadlinesForTask

          public static void rescheduleDeadlinesForTask​(org.kie.internal.task.api.model.InternalTask task,
                                                        TaskContext taskContext,
                                                        boolean unboundRepeatableOnly,
                                                        org.kie.internal.task.api.model.Deadline triggered,
                                                        org.kie.internal.task.api.TaskDeadlinesService.DeadlineType... types)

    - #### scheduleDeadlinesForTask

          public static void scheduleDeadlinesForTask​(org.kie.internal.task.api.model.InternalTask task,
                                                      TaskContext taskContext,
                                                      org.kie.internal.task.api.TaskDeadlinesService.DeadlineType... types)

    - #### scheduleDeadlines

          public static void scheduleDeadlines​(List<? extends org.kie.internal.task.api.model.Deadline> deadlines,
                                               long now,
                                               long taskId,
                                               org.kie.internal.task.api.TaskDeadlinesService.DeadlineType type,
                                               org.kie.internal.task.api.TaskDeadlinesService deadlineService)